Skip to main content
`Ctrl`+`K`

# slepc4py.SLEPc.PEP.JDProjection

class slepc4py.SLEPc.PEP.JDProjection

  Bases: `object`

  PEP type of projection to be used in the Jacobi-Davidson solver.

  - `HARMONIC`: Harmonic projection.

  - `ORTHOGONAL`: Orthogonal projection.

  See also

  `PEPJDProjection`

  Attributes Summary

  `HARMONIC` | Constant `HARMONIC` of type `int`
  `ORTHOGONAL` | Constant `ORTHOGONAL` of type `int`

  Attributes Documentation

  HARMONIC: int = HARMONIC

    Constant `HARMONIC` of type `int`

  ORTHOGONAL: int = ORTHOGONAL

    Constant `ORTHOGONAL` of type `int`